%global pypi_name helpdev

Name:           python-%{pypi_name}
Version:        0.7.1
Release:        %mkrel 1
Summary:        Extracts information about the Python environment easily
Group:          Development/Python
License:        MIT
URL:            https://gitlab.com/dpizetta/helpdev
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Helping users and developers to get information about the environment to report
bugs or even test your system without spending a day on it. It can get
information about hardware, OS, paths, Python distribution and packages,
including Qt-things.

%package -n     python3-%{pypi_name}
Summary:        Extracts information about the Python environment easily
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-psutil >= 5.6
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
Helping users and developers to get information about the environment to report
bugs or even test your system without spending a day on it. It can get
information about hardware, OS, paths, Python distribution and packages,
including Qt-things.

%prep
%setup -qn %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst LICENSE.rst
%{_bindir}/helpdev
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Aug 18 2022 TerryN <terryn94 at gmail.com> 0.7.1-1pclos2022
- import for python 3.10
